import com.ibm.xml.parsers.DOMParser;
import org.w3c.dom.Document;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class GetParseTreeErrors {

    public static void main (String args[]) {

        // the first argument should be a filename.
        if (args.length > 0) {
            String filename = args[0];
            //*** The document is the root of the DOM tree.

            try {
                new GetParseTreeErrors(filename);
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }

    public GetParseTreeErrors (String filename) {
        try {
            DOMParser parser = new DOMParser();
            Errors errors = new Errors();
            parser.setErrorHandler(errors);
            parser.parse(filename);
            Document document = parser.getDocument();
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }
   class Errors implements ErrorHandler {

        public void warning(SAXParseException ex) {
            System.err.println(ex);
        }

        public void error(SAXParseException ex) {
            System.err.println(ex);
        }

        public void fatalError(SAXParseException ex) throws SAXException {
            System.err.println(ex);
        }
    }
}